Attribute VB_Name = "Module1"
Option Explicit

'-------------------------------------------------------------------------------------------------------------------
'Name:          FormatHex
'
'Author:        Jonathan Morrison  (jonathanm@mindspring.com)
'
'Date:          8/28/1998
'
'Purpose:      To format a Hexadecimal number to it's proper form.
'-------------------------------------------------------------------------------------------------------------------
Public Function FormatHex(ByVal strHex As String) As String

Dim intHexLen As Integer
Dim strZeros As String
Dim i As Integer

'Get the current length of the value.
intHexLen = Len(strHex)

'Initialize the new value string.
strZeros = ""

'Add zeros as needed.
For i = 0 To (7 - intHexLen)
    strZeros = strZeros & "0"
Next

'Format the new value.
strHex = "0x" & strZeros & strHex

'Return a formatted hex number.
FormatHex = strHex

End Function
