VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Hex2Dec2Hex"
   ClientHeight    =   1665
   ClientLeft      =   6570
   ClientTop       =   3735
   ClientWidth     =   4650
   LinkTopic       =   "Form1"
   ScaleHeight     =   1665
   ScaleWidth      =   4650
   Begin VB.CommandButton cmdDecimal2Hex 
      Caption         =   "&Decimal to Hex"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   2775
      TabIndex        =   5
      Top             =   1245
      Width           =   1755
   End
   Begin VB.CommandButton cmdConvert2Hex 
      Caption         =   "&Hex to Decimal"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   315
      Left            =   1065
      TabIndex        =   4
      Top             =   1245
      Width           =   1755
   End
   Begin VB.TextBox txtDecimal 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   330
      Left            =   1065
      TabIndex        =   2
      Top             =   690
      Width           =   3465
   End
   Begin VB.TextBox txtHex 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   330
      Left            =   1065
      TabIndex        =   0
      Top             =   210
      Width           =   3465
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Decimal:"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   120
      TabIndex        =   3
      Top             =   735
      Width           =   795
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Hex:"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   75
      TabIndex        =   1
      Top             =   255
      Width           =   855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'----------------------------------------------------------------------------------------------------------
'Name:          Hex2Dec2Hex
'
'Author:        Jonathan Morrison  (jonathanm@mindspring.com)
'
'Date:          8/28/1998
'
'Purpose:      This is a program that evalutes decimal values to hex and hex values to decimal.
'----------------------------------------------------------------------------------------------------------

Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal _
                                                  hWndInsertAfter As Long, ByVal X As Long, _
                                                  ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, _
                                                  ByVal wFlags As Long) As Long

'----------------------------------------------------------------------------------------------------------
Private Const WM_ACTIVATE = &H6
Private Const SWP_NOMOVE = &H2
Private Const SWP_NOSIZE = &H1
Private Const HWND_TOPMOST = -1
Private Const GW_CHILD = 5
Private Const GW_HWNDNEXT = 2
'----------------------------------------------------------------------------------------------------------


Private Sub cmdConvert2Hex_Click()

'Variable to hold the user value.
Dim strStrippedHex As String

'Verify that a value was entered.
If txtHex.Text <> "" Then
    'If so, see if it is in hex format already.
    If InStr(1, txtHex.Text, "x") Then
        'If the value is already in hex format, then strip out the signifigant value.
        strStrippedHex = Mid$(txtHex.Text, (InStr(1, txtHex.Text, "x") + 1))
        'Convert value to VB hex notation.
        strStrippedHex = "&H" & strStrippedHex & "&"
        'Convert VB hex notation to decimal.
        txtDecimal.Text = Val(strStrippedHex)
    Else
        'If the string is not in proper hex notation, format it.
        strStrippedHex = txtHex.Text
        txtHex.Text = FormatHex(strStrippedHex)
        'Convert value to VB hex notation.
        strStrippedHex = "&H" & strStrippedHex & "&"
        'Convert VB hex notation to decimal.
        txtDecimal.Text = Val(strStrippedHex)
    End If
Else
    'If no value entered then notify user and set focus.
    MsgBox "Please enter a value."
    txtHex.SelLength = Len(txtHex.Text)
    txtHex.SetFocus
End If

End Sub

Private Sub cmdDecimal2Hex_Click()

'Convert value to hex and format it.
txtHex.Text = FormatHex(Hex(Val(txtDecimal.Text)))

End Sub

Private Sub Form_Load()

'Make our app the top most window in the system.
SetWindowPos Me.hwnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE Or SWP_NOSIZE

End Sub
